%define upstream_name    IO-stringy
%define	upstream_version 2.113

%{?perl_default_filter}
# (tv) perl-base is enough:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl.*5.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module for I/O on in-core objects like strings and arrays
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/authors/id/C/CA/CAPOEIRAB/IO-Stringy-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Tester)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This toolkit primarily provides modules for performing both traditional
and object-oriented i/o) on things *other* than normal filehandles; in
particular, the IO::Scalar manpage, the IO::ScalarArray manpage, and the
IO::Lines manpage.

If you have access to tie(), these classes will make use of the the
IO::WrapTie manpage module to inherit a convenient new_tie()
constructor. It also exports a nice wraptie() function.

In the more-traditional IO::Handle front, we have the IO::AtomicFile
manpage which may be used to painlessly create files which are updated
atomically.

And in the "this-may-prove-useful" corner, we have the IO::Wrap manpage,
whose exported wraphandle() function will clothe anything that's not a
blessed object in an IO::Handle-like wrapper... so you can just use OO
syntax and stop worrying about whether your function's caller handed you
a string, a globref, or a FileHandle.

%prep
%setup -q -n IO-Stringy-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc COPYING Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{perl_vendorlib}/IO

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.113.0-3.mga10
+ Revision: 2206331
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.113.0-2.mga9
+ Revision: 1812921
- Mageia 9 Mass Rebuild

* Tue Jul 14 2020 tv <tv> 2.113.0-1.mga8
+ Revision: 1605988
- 2.113

* Wed Feb 19 2020 umeabot <umeabot> 2.112.0-2.mga8
+ Revision: 1542532
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 shlomif <shlomif> 2.112.0-1.mga8
+ Revision: 1476485
- New version 2.112.0

* Tue Nov 27 2018 tv <tv> 2.111.0-5.mga7
+ Revision: 1335927
- perl-base is enough (related to mga#23894)

* Wed Sep 19 2018 umeabot <umeabot> 2.111.0-4.mga7
+ Revision: 1268835
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.111.0-3.mga6
+ Revision: 1028788
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.111.0-2.mga6
+ Revision: 967725
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 2.111.0-1.mga6
+ Revision: 850106
- update to 2.111

* Wed Oct 15 2014 umeabot <umeabot> 2.110.0-11.mga5
+ Revision: 745398
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.110.0-10.mga5
+ Revision: 685093
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.110.0-9.mga4
+ Revision: 512339
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.110.0-8.mga3
+ Revision: 368626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 2.110.0-7.mga1
+ Revision: 24090
- fix spec file
- imported package perl-IO-stringy

